## matekbd-keyboard-display 23.9.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (matekbd-keyboard-display VERSION 23.9.1 LANGUAGES C)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option (ENABLE_WERROR "Treat all build warnings as errors" OFF)

set(CMAKE_BUILD_TYPE "Release")

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Prerequisites

include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (DEPS REQUIRED libxklavier gtk+-3.0 libmatekbdui atk)

# Build

add_subdirectory (src)
add_subdirectory (data)

# Info

message (STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== debian/changelog ===
matekbd-keyboard-display (23.9.1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #1051969).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Sep 2023 01:51:34 +0200

## matekbd-keyboard-display 23.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (matekbd-keyboard-display VERSION 23.9.1 LANGUAGES C)
+project (matekbd-keyboard-display VERSION 23.11.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -32,6 +32,7 @@
 
 add_subdirectory (src)
 add_subdirectory (data)
+add_subdirectory (man)
 
 # Info

=== data/CMakeLists.txt ===
# matekbd-keyboard-display.desktop

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/matekbd-keyboard-display.desktop" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/applications")

# org.mate.KeyboardLayout.svg

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/org.mate.KeyboardLayout.svg" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/apps")

=== man/CMakeLists.txt ===
# matekbd-keyboard-display.1.gz

file (ARCHIVE_CREATE OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/matekbd-keyboard-display.1.gz" PATHS "${CMAKE_CURRENT_SOURCE_DIR}/matekbd-keyboard-display.1" FORMAT raw COMPRESSION GZip)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/matekbd-keyboard-display.1.gz" DESTINATION "${CMAKE_INSTALL_FULL_MANDIR}/man1")

=== src/CMakeLists.txt ===
# matekbd-keyboard-display

add_executable ("matekbd-keyboard-display" matekbd-keyboard-display.c)
target_compile_definitions ("matekbd-keyboard-display" PUBLIC G_LOG_DOMAIN="matekbd-keyboard-display")
target_link_libraries ("matekbd-keyboard-display" ${DEPS_LIBRARIES})
target_include_directories ("matekbd-keyboard-display" PUBLIC ${DEPS_INCLUDE_DIRS})
install (TARGETS "matekbd-keyboard-display" RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== debian/changelog ===
matekbd-keyboard-display (23.11.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:04 +1100

matekbd-keyboard-display (23.11.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:43:29 +0000

matekbd-keyboard-display (23.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * lintian:
    + Drop no-manual-page override. Resolved upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Dec 2023 09:08:40 +0100

=== debian/control ===
Source: matekbd-keyboard-display
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Robert Tari <robert.tari@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 libgtk-3-dev,
 libmatekbd-dev,
 libxklavier-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://tari.in/www/software/matekbd-keyboard-display/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/matekbd-keyboard-display
Vcs-Git: https://salsa.debian.org/debian-mate-team/matekbd-keyboard-display.git

Package: matekbd-keyboard-display
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Display keyboard layouts in MATE
 An application that allows you to preview keyboard layouts on MATE
 desktop. It uses the libmatekbd library, similarly to
 gkbd-keyboard-display and libgnomekbd.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh ${@}

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://github.com/tari01/matekbd-keyboard-display/tags .*/V?(\d\S*)\.tar\.gz
